summaryrefslogtreecommitdiffstats
path: root/debian/_buildscripts/local/scripts/_build_common.sh
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2018-02-11 21:58:16 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2018-05-28 14:46:58 +0900
commit80b6864a4cd886534f4158130e3c4ef450943ade (patch)
tree63761e7cb3d68d4c816d97926ee0487bbe6bc720 /debian/_buildscripts/local/scripts/_build_common.sh
parentf7fed43409d307ee2606ddc32c6e5cab3caf4ef8 (diff)
downloadtde-packaging-80b6864a4cd886534f4158130e3c4ef450943ade.tar.gz
tde-packaging-80b6864a4cd886534f4158130e3c4ef450943ade.zip
DEB build script: added "create_repo" script. Prevent scripts from being
run from tde-packaging git repo, to make sure the user follows the instructions provided. Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'debian/_buildscripts/local/scripts/_build_common.sh')
-rwxr-xr-xdebian/_buildscripts/local/scripts/_build_common.sh19
1 files changed, 15 insertions, 4 deletions
diff --git a/debian/_buildscripts/local/scripts/_build_common.sh b/debian/_buildscripts/local/scripts/_build_common.sh
index 72649dc89..60f589acf 100755
--- a/debian/_buildscripts/local/scripts/_build_common.sh
+++ b/debian/_buildscripts/local/scripts/_build_common.sh
@@ -38,6 +38,15 @@ function init_common()
# Check script folder
SCRIPT_DIR=$(dirname $(readlink -f "$0"))
+ # Prevent the script to be run from TDE packaging repo
+ REPO_URL=$(git config --get remote.origin.url 2>/dev/null)
+ if [ ! -z "$REPO_URL" ] && [ -z "${REPO_URL##*tde-packaging}" ]; then
+ echo -e "${CYellow} --- ERROR ---${CNone}"
+ echo "This script cannot be run from the TDE packaging repository."
+ echo "Please follow the instructions provided, then rerun this script."
+ exit 1
+ fi
+
# Read config settings
CFG_FILE=$SCRIPT_DIR/build_config.sh
if [ -f "$CFG_FILE" ]; then
@@ -47,7 +56,7 @@ function init_common()
echo "Creating TDE build configuration file from template as $CFG_FILE."
echo "Please check and modify as required, then rerun this script."
cp "$SCRIPT_DIR/_build_config_template.sh" "$CFG_FILE"
- exit 1
+ exit 2
fi
# TDE root folder must exist
@@ -56,8 +65,9 @@ function init_common()
echo "A valid TDE root folder could not be located. Something is wrong with your configuration"
echo "in the config file $CFG_FILE"
echo "Please check and modify the TDE_DIR variable as required, then rerun this script."
- exit 2
+ exit 3
fi
+
# Search for main TDE repo
cd "$TDE_DIR/$CFG_GIT_TDE_MAIN" &>/dev/null
CURR_DIR=$(git rev-parse --show-toplevel 2>/dev/null)
@@ -66,8 +76,9 @@ function init_common()
echo "Main TDE repo could not be located. Something is wrong with your configuration"
echo "in the config file $CFG_FILE"
echo "Please check and modify the TDE_DIR variable as required, then rerun this script."
- exit 3
+ exit 4
fi
+
# Search for TDE packaging repo
cd "$TDE_DIR/$CFG_GIT_TDE_PACKAGING" &>/dev/null
CURR_DIR=$(git rev-parse --show-toplevel 2>/dev/null)
@@ -76,7 +87,7 @@ function init_common()
echo "TDE packaging repo could not be located. Something is wrong with your configuration"
echo "in the config file $CFG_FILE"
echo "Please check and modify the TDE_DIR variable as required, then rerun this script."
- exit 4
+ exit 5
fi
SCRIPT_LOG_DIR=$TDE_DIR/$CFG_SCRIPT_LOG_DIR